Announcement Announcement Module
Collapse
No announcement yet.
STS & GGTS 3.2.0.M2 released Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • STS & GGTS 3.2.0.M2 released

    Dear Spring Community,

    we are happy to announce the second milestone build of our Eclipse-based tooling: The Spring Tool Suite (STS) 3.2.0.M2 and the Groovy/Grails Tool Suite (GGTS) 3.2.0.M2.

    Highlights from this milestone build include:
    • a lot of overall performance improvements, especially for the Spring tooling
    • improvements to Live Beans Graph feature
    • improved Spring Data code completion and validation
    • Grails 2.2 included in the GGTS distribution and available on the dashboard
    • Groovy 2.0.6 compiler now included in the GGTS distribution.
    Both tool suites ship on top of the latest Eclipse Juno SR2 maintenance builds (not yet the final Eclipse Juno SR2 release). We still recommend to use the Eclipse-3.8-based versions of STS and GGTS for optimal performance.

    To download the distributions, please go visit:
    Detailed new and noteworthy notes can be found here: STS/GGTS 3.2.0.M2 New & Noteworthy

    Updates from STS/GGTS 3.0.0 and 3.1.0 are available through the automatic "Check for Updates" again (as long as you have the milestone update configured).

    The 3.2.0 release is scheduled for early March 2013 - shortly after the Eclipse Juno SR2 release.

    Enjoy!!!
    The SpringSource tooling team

  • #2
    The installer in groovy-grails-tool-suite-3.2.0.M2-e3.8.2-macosx-cocoa-x86_64-installer.dmg seems to be broken, I get (on OS X 10.8):

    xyz SpringSource$ codesign -v --verbose --deep-verify Installer\ -\ Groovy-Grails\ Tool\ Suite\ 3.2.0.M2.app/
    Installer - Groovy-Grails Tool Suite 3.2.0.M2.app/: a sealed resource is missing or invalid
    In architecture: i386
    resource modified: /Volumes/SpringSource/Installer - Groovy-Grails Tool Suite 3.2.0.M2.app/Contents/Resources/Java/groovy-grails-tool-suite-3.2.0.M2-e3.8.2-macosx-cocoa-x86_64-installer.jar

    xyz SpringSource$ ls -l Installer\ -\ Groovy-Grails\ Tool\ Suite\ 3.2.0.M2.app/Contents/Resources/Java/
    -rw-r--r-- 1 xyz staff 430145536 25 jan 17:03 groovy-grails-tool-suite-3.2.0.M2-e3.8.2-macosx-cocoa-x86_64-installer.jar

    Disk Utility verifies the dmg itself so the download is fine.

    Comment


    • #3
      Hey!

      Good catch, you are completely right. The installer for GGTS 3.2.0.M2 are broken due to a problem in the build.

      I fixed this for the upcoming RC2 build of 3.2.0, so this should be fine again for the 3.2.0 release.
      In the meantime, please use the tar.gz archive versions for GGTS 3.2.0.M2 instead of the installer.

      Thanks again for catching this!!!
      -Martin

      Comment

      Working...
      X